import Config from '../config/Config';
import { TOptionArray } from '../config/Config';
import ClassManager from './ClassManager';
import ClassName from './ClassName';
import Requires from './Requires';
import Uses from './Uses';
import Extend from './Extend';
export default class BaseClass extends Config {
    classManager: ClassManager;
    name: ClassName;
    extend: Extend;
    requires: Requires;
    uses: Uses;
    readonly pathToFile: string;
    constructor(name: string, options?: TOptionArray);
    /**
     * Инициализация запускается после добавления класса в менеджер классов.
     */
    init(): void;
    toJavaScript(): string;
    clone(): BaseClass;
}
