import BaseClass from './BaseClass';
export default class ClassName {
    private cls;
    path: string[];
    private _value;
    value: string;
    /**
     * Namespace + path.
     */
    readonly namespace: string;
    /**
     * Namespace + path + Name.
     */
    readonly fullName: string;
    /**
     * path + Name.
     */
    readonly localName: string;
    /**
     * Директория файла класса: path через слеши.
     */
    readonly dirName: string;
    /**
     * Имя файла: Name.js
     */
    readonly fileName: string;
    /**
     * Путь с именем файла: path / Name.js
     */
    readonly pathToFile: string;
    constructor(value: string, cls: BaseClass);
}
