import OptionString from '../config/option/OptionString';
import BaseClass from './BaseClass';
export interface IExtendFunction {
    (model: BaseClass): string;
}
export default class Extend extends OptionString {
    cls: BaseClass;
    value: string | IExtendFunction;
    constructor();
    private getValue();
    /**
     * Вспомогательная функция для проверки, есть ли в имени класса имя пространства.
     * Проверка основана на большой букве. Если первая буква большая, значит имя пространства в имя класса уже включено.
     */
    private withNamespace(className);
    readonly isEmpty: boolean;
    protected valueToJavaScript(): string;
    clone(): Extend;
}
