import { default as Option, IOption } from './option/Option';
export declare type TOptionArray = (IOption | Option)[];
export default class Config {
    static EOL: string;
    private _options;
    options: Option[];
    constructor(options?: TOptionArray);
    push(data: Option | IOption | TOptionArray): this;
    /**
     * Конструктор опции конфига на основании типа значения.
     * @param data
     */
    private createOption(data);
    find(name: any): Option;
    has(name: any): boolean;
    remove(removableOption: Option): this;
    toJavaScript(): string;
    clone(): Config;
}
