import Comment from '../Comment';
export interface IOption {
    name: string;
    value?: any;
    code?: string;
    comment?: string | Comment;
    skipIfEmpty?: boolean;
}
export default class Option {
    static valueToJavaScript(data: IOption): string;
    static type(data: IOption): string;
    static valueType(dataValue: any): string;
    name: string;
    value: any;
    code: string;
    comment: Comment;
    skipIfEmpty: boolean;
    readonly isSkip: boolean;
    readonly isEmpty: boolean;
    constructor(data: IOption);
    toJavaScript(): string;
    protected valueToJavaScript(): string;
    clone(): Option;
    clear(): void;
}
