"use strict";
// УДАЛИТЬ
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
class ConfigArray {
    constructor(data) {
        if (data)
            this.push(data);
    }
    get configs() {
        return this._configs ? this._configs : this._configs = [];
    }
    set configs(configs) {
        const oldConfigs = this._configs;
        configs = this.applyConfigs(configs);
        this._configs = configs;
        this.updateConfigs(configs, oldConfigs);
    }
    get length() {
        return this.configs.length;
    }
    applyConfigs(configs) {
        return configs;
    }
    updateConfigs(configs, oldConfigs) { }
    push(data) {
        if (data)
            this.configs = this.configs.concat((_.isArray(data) ? data : [data]));
        return this;
    }
    toJavaScript() {
        const configDivider = `,${ConfigArray.EOL}`;
        const result = this.configs.map(config => config.toJavaScript()).join(configDivider);
        return `[${result}]`;
    }
}
ConfigArray.EOL = '\n';
exports.default = ConfigArray;
