export interface IOption {
    name: string;
    value?: any;
    comment?: string;
    skipIfEmpty?: boolean;
}
export default class ConfigOption {
    static valueToJavaScript(dataValue: any): string;
    static type(dataValue: any): string;
    name: string;
    value: any;
    comment: string;
    skipIfEmpty: boolean;
    readonly isSkip: boolean;
    readonly isEmpty: boolean;
    constructor(data: IOption);
    toJavaScript(): string;
    protected valueToJavaScript(): string;
}
