import Option from './Option';
import { IOption } from './Option';
export declare type TOptionArray = (IOption | Option)[];
export default class Config {
    static EOL: string;
    private _options;
    private options;
    constructor(options?: TOptionArray);
    push(data: Option | IOption | TOptionArray): this;
    private createOption(data);
    find(name: any): Option;
    has(name: any): boolean;
    remove(removableOption: Option): this;
    toJavaScript(): string;
}
