"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const OptionArray_1 = require("../config/option/OptionArray");
class Requires extends OptionArray_1.default {
    constructor() {
        super({
            name: 'requires',
            skipIfEmpty: true,
            uniq: _.uniq
        });
    }
    clone() {
        var clone = new Requires();
        clone.value = this.value;
        return clone;
    }
}
exports.default = Requires;
