import BaseClass from '../BaseClass';
import { TOptionArray } from '../../config/Config';
import Fields from './Fields';
import HasOne from './schema/HasOne';
import HasMany from './schema/HasMany';
import Proxy from './proxy/Proxy';
export default class ModelClass extends BaseClass {
    fields: Fields;
    hasOne: HasOne;
    hasMany: HasMany;
    proxy: Proxy;
    constructor(name: string, options?: TOptionArray);
    clone(): ModelClass;
}
