import Config from './Config';
export default class ConfigArray {
    static EOL: string;
    private _configs;
    configs: Config[];
    readonly length: number;
    constructor(data?: Config | Config[]);
    protected applyConfigs(configs: Config[]): Config[];
    protected updateConfigs(configs: Config[], oldConfigs: Config[]): void;
    push(data?: Config | Config[]): this;
    toJavaScript(): string;
}
