interface IOption {
    name: string;
    value?: any;
    comment?: string;
}
declare class ConfigOption {
    name: string;
    value: any;
    comment: string;
    constructor(data: IOption);
}
declare type TOptionArray = (IOption | ConfigOption)[];
declare class Config {
    constructor(options?: TOptionArray);
    push(data: ConfigOption | IOption | TOptionArray): void;
}
declare const config: Config;
