export interface IOption {
    name: string;
    value?: any;
    comment?: string | Comment;
    skipIfEmpty?: boolean;
}
export default class Option {
    static valueToJavaScript(dataValue: any): string;
    static type(dataValue: any): string;
    static isString(dataValue: any): boolean;
    static isFunction(dataValue: any): boolean;
    static isConfig(dataValue: any): boolean;
    static isPlainObject(dataValue: any): boolean;
    static isArray(dataValue: any): boolean;
    name: string;
    value: any;
    comment: Comment;
    skipIfEmpty: boolean;
    readonly isSkip: boolean;
    readonly isEmpty: boolean;
    constructor(data: IOption);
    toJavaScript(): string;
    protected valueToJavaScript(): string;
}
